function [TSIM,X]=SolveMassBalances(DataFile,TSTART,TSTOP,Ts,DFIN)

% Check to see if I need to load the datafile
if (~isempty(DFIN))
	DF = DFIN;
else
	DF = feval(DataFile,TSTART,TSTOP,Ts,[]);
end;

% Get reqd stuff from data struct -
IC = DF.INITIAL_CONDITIONS;
TSIM = TSTART:Ts:TSTOP;
S = DF.STOICHIOMETRIC_MATRIX;
kV = DF.PARAMETER_VECTOR;
NRATES = DF.NUMBER_PARAMETERS;
NSTATES = DF.NUMBER_OF_STATES;

lsode_options('relative tolerance',1E-4);
lsode_options('absolute tolerance',1E-4);
lsode_options('integration method','stiff');

% Call the ODE solver - the default is LSODE
f = @(x,t)MassBalanceFunction(x,t,S,kV,NRATES,NSTATES);
[X]=lsode(f,IC,TSIM);
return;
