function [MSE] = mse(DF)
% --Machine Made via BioChemExp on 5/2/1--
% This code was designed to graph relative
% simulation and experimental results
% -----------------------------------------
	% create a place to save all data for MSE
	totData = [];
	% Run all of the experiments
	[TRA_01, XRA_01] = exp_RA_01(DF);
	[TRA_BLR1dn_01, XRA_BLR1dn_01] = exp_RA_BLR1dn_01(DF);
	[TRA_BLR1up_01, XRA_BLR1up_01] = exp_RA_BLR1up_01(DF);
	[TRA_Rafdn_01, XRA_Rafdn_01] = exp_RA_Rafdn_01(DF);
	[TRA_Rafup_01, XRA_Rafup_01] = exp_RA_Rafup_01(DF);
	% Collect all of the data for group pRaf
	data=[
		1*XRA_01(71,47),1.0,0.1;
		1*XRA_01(131,47),1.5,0.15000000000000002;
		1*XRA_01(251,47),3.0,0.30000000000000004;
		1*XRA_01(491,47),3.0,0.30000000000000004;
		1*XRA_01(731,47),3.0,0.30000000000000004;
		1*XRA_01(971,47),3.0,0.30000000000000004;
		1*XRA_BLR1dn_01(131,47),0.75,0.07500000000000001;
	];
	% Now do the scaling for group pRaf
	scale = sum(data(:,1).*data(:,2)./(data(:,3).^2))/sum((data(:,1)./data(:,3)).^2);
	data(:,1) = scale*data(:,1);
	% Place the new data in the total data for MSE
	totData = [totData; data];
	% Collect all of the data for group pMEK1
	data=[
		1*XRA_01(131,54),1.0,0.1;
		1*XRA_01(251,54),4.0,0.4;
		1*XRA_01(491,54),10.0,1.0;
		1*XRA_01(731,54),15.0,1.5;
		1*XRA_01(971,54),20.0,2.0;
	];
	% Now do the scaling for group pMEK1
	scale = sum(data(:,1).*data(:,2)./(data(:,3).^2))/sum((data(:,1)./data(:,3)).^2);
	data(:,1) = scale*data(:,1);
	% Place the new data in the total data for MSE
	totData = [totData; data];
	% Collect all of the data for group pERK1
	data=[
		1*XRA_01(41,58),1.0,0.1;
		1*XRA_01(71,58),1.0,0.1;
		1*XRA_01(131,58),2.0,0.2;
		1*XRA_01(251,58),4.0,0.4;
		1*XRA_01(491,58),20.0,2.0;
		1*XRA_01(731,58),20.0,2.0;
		1*XRA_01(971,58),20.0,2.0;
	];
	% Now do the scaling for group pERK1
	scale = sum(data(:,1).*data(:,2)./(data(:,3).^2))/sum((data(:,1)./data(:,3)).^2);
	data(:,1) = scale*data(:,1);
	% Place the new data in the total data for MSE
	totData = [totData; data];
	% Collect all of the data for group BLR1mRNA1
	data=[
		1*XRA_01(41,402),1.0,0.1;
		1*XRA_01(71,402),1.0,0.1;
		1*XRA_01(101,402),2.0,0.2;
		1*XRA_01(131,402),4.0,0.4;
		1*XRA_01(191,402),10.0,1.0;
		1*XRA_01(251,402),10.0,1.0;
		1*XRA_01(491,402),20.0,2.0;
		1*XRA_01(731,402),20.0,2.0;
		1*XRA_01(971,402),10.0,1.0;
	];
	% Now do the scaling for group BLR1mRNA1
	scale = sum(data(:,1).*data(:,2)./(data(:,3).^2))/sum((data(:,1)./data(:,3)).^2);
	data(:,1) = scale*data(:,1);
	% Place the new data in the total data for MSE
	totData = [totData; data];
	% Collect all of the data for group pMEK2
	data=[
		1*XRA_01(131,54),1.0,0.1;
		1*XRA_BLR1up_01(131,54),2.0,0.2;
	];
	% Now do the scaling for group pMEK2
	scale = sum(data(:,1).*data(:,2)./(data(:,3).^2))/sum((data(:,1)./data(:,3)).^2);
	data(:,1) = scale*data(:,1);
	% Place the new data in the total data for MSE
	totData = [totData; data];
	% Collect all of the data for group pERK2
	data=[
		1*XRA_01(131,58),1.0,0.1;
		1*XRA_BLR1up_01(131,58),2.0,0.2;
	];
	% Now do the scaling for group pERK2
	scale = sum(data(:,1).*data(:,2)./(data(:,3).^2))/sum((data(:,1)./data(:,3)).^2);
	data(:,1) = scale*data(:,1);
	% Place the new data in the total data for MSE
	totData = [totData; data];
	% Collect all of the data for group BLR1mRNA2
	data=[
		1*XRA_01(491,402),1.0,0.1;
		1*XRA_Rafdn_01(491,402),0.1,0.010000000000000002;
		1*XRA_Rafup_01(491,402),8.0,0.8;
	];
	% Now do the scaling for group BLR1mRNA2
	scale = sum(data(:,1).*data(:,2)./(data(:,3).^2))/sum((data(:,1)./data(:,3)).^2);
	data(:,1) = scale*data(:,1);
	% Place the new data in the total data for MSE
	totData = [totData; data];
	% Now collect the data related to EIF2AK
	data=[
		1*XRA_01(2,365),1.0,0.1;
		1*XRA_01(2,365),2.53,1.25;
	];
	% find scaleing for the data related to EIF2AK
	scale = sum(data(:,1).*data(:,2)./(data(:,3).^2))/sum((data(:,1)./data(:,3)).^2);
	data(:,1) = scale*data(:,1);
	totData = [totData; data];
	% Now collect the data related to CD45
	data=[
		1*XRA_01(3,353),1.0,0.1;
		1*XRA_01(3,353),4.39,0.7;
		1*XRA_01(3,353),3.59,1.8;
	];
	% find scaleing for the data related to CD45
	scale = sum(data(:,1).*data(:,2)./(data(:,3).^2))/sum((data(:,1)./data(:,3)).^2);
	data(:,1) = scale*data(:,1);
	totData = [totData; data];
	% Now collect the data related to P47phox
	data=[
		1*XRA_01(3,341),1.0,0.1;
		1*XRA_01(3,341),8.51,0.91;
		1*XRA_01(3,341),46.98,17.03;
	];
	% find scaleing for the data related to P47phox
	scale = sum(data(:,1).*data(:,2)./(data(:,3).^2))/sum((data(:,1)./data(:,3)).^2);
	data(:,1) = scale*data(:,1);
	totData = [totData; data];
	% Now collect the data related to rb
	data=[
		1*XRA_01(2,317),1.0,0.1;
		1*XRA_01(2,317),4.78,1.83;
	];
	% find scaleing for the data related to rb
	scale = sum(data(:,1).*data(:,2)./(data(:,3).^2))/sum((data(:,1)./data(:,3)).^2);
	data(:,1) = scale*data(:,1);
	totData = [totData; data];
	% Now collect the data related to rhoGDI
	data=[
		1*XRA_01(2,329),1.0,0.1;
		1*XRA_01(2,329),2.4,0.42;
	];
	% find scaleing for the data related to rhoGDI
	scale = sum(data(:,1).*data(:,2)./(data(:,3).^2))/sum((data(:,1)./data(:,3)).^2);
	data(:,1) = scale*data(:,1);
	totData = [totData; data];
	% Now collect the data related to SPRK
	data=[
		1*XRA_01(2,305),1.0,0.1;
		1*XRA_01(2,305),2.4,0.34;
	];
	% find scaleing for the data related to SPRK
	scale = sum(data(:,1).*data(:,2)./(data(:,3).^2))/sum((data(:,1)./data(:,3)).^2);
	data(:,1) = scale*data(:,1);
	totData = [totData; data];
	% Now collect the data related to IRF
	data=[
		1*XRA_01(2,293),1.0,0.1;
		1*XRA_01(2,293),2.86,0.61;
	];
	% find scaleing for the data related to IRF
	scale = sum(data(:,1).*data(:,2)./(data(:,3).^2))/sum((data(:,1)./data(:,3)).^2);
	data(:,1) = scale*data(:,1);
	totData = [totData; data];
	% Now collect the data related to pERK_BLR1dn
	data=[
		1*XRA_BLR1dn_01(1,58),0.0,1.0;
	];
	% Data related to pERK_BLR1dn has no scaleing
	scale = 1;
	data(:,1) = scale*data(:,1);
	totData = [totData; data];
	% Now collect the data related to pMEK_BLR1dn
	data=[
		1*XRA_BLR1dn_01(1,54),0.0,1.0;
	];
	% Data related to pMEK_BLR1dn has no scaleing
	scale = 1;
	data(:,1) = scale*data(:,1);
	totData = [totData; data];
	% Now we can get the MSE
	MSE = mean(((totData(:,1) - totData(:,2))./totData(:,3)).^2);
return;
